<?php 
	//error_reporting(E_ALL);	
	//ini_set('display_errors', 1);
	//ini_set('log_errors',FALSE);
	set_time_limit(0);
	
	/*
	error_reporting(E_ALL | E_STRICT);
	
	function exceptions_error_handler($severity, $message, $filename, $lineno) {
		if (error_reporting() == 0) {
			return;
		}
		if (error_reporting() & $severity) {
			throw new ErrorException($message, 0, $severity, $filename, $lineno);
		}
	}

	set_error_handler('exceptions_error_handler');  */

	$conexion = mysqli_connect("127.0.0.1","eventosv_elio","et1)znNDn7g3","eventosv_db_danone");
	
	
	$sql_base = "SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'";
	
	mysqli_query($conexion,  $sql_base );// or die(mysqli_error($conexion));

	//se agrega la diagonal invertida a los caracteres de escape necesarios en mysql igual es seguridad e integridad a la base de datos
	foreach ($_POST as $key => $value) {
		if(is_string($value))
			$_POST[$key] = mysqli_real_escape_string($conexion, $value);
	}

	foreach ($_GET as $key => $value) {
		if(is_string($value))
			$_GET[$key] = mysqli_real_escape_string($conexion, $value);
	}
	//conexion anterior $conexion = mysqli_connect("127.0.0.1","jorgec","Hiq0i6_8","db_danone");
	//sleep(2);
	
 ?>